> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Update Shopping List Items

PUT https://api-b2b.bigcommerce.com/api/v2/shoppinglists/items
Content-Type: application/json

Update shopping lists items.
Equivalent Storefront GraphQL API Mutation: `shoppingListsItemsUpdate`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/storefront/shopping-list/put-shoppinglists-items

## Authentication

- `Authorization` header (bearer token, required) — ### Authentication header | Header | Argument | Description | | :-------------- | :------------------------- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | `Authorization` | `Bearer {{B2B_JWT_TOKEN}}` | You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section\[...] |

## Request

### Body (application/json)

This endpoint expects an object.

- `shoppinglistId` (string, required) — Shopping list ID field
- `itemId` (string, required) — Shopping list item ID field
- `qty` (string, required) — Quantity of product in shopping list
- `optionList` (list of ShoppinglistsItemsPutRequestBodyContentApplicationJsonSchemaOptionListItems, required) — Product option of shopping list item
- `variantId` (string, required) — Product SKU ID
- `sortOrder` (integer, optional) — The sort order for item

## Response

### 200

OK

- `code` (double, required)
- `message` (string, required)
- `data` (ShoppinglistsItemsPutResponsesContentApplicationJsonSchemaData, required)

## Types

### ShoppinglistsItemsPutRequestBodyContentApplicationJsonSchemaOptionListItems

- `option_id` (string, required)
- `option_value` (string, required)

### ShoppinglistsItemsPutResponsesContentApplicationJsonSchemaData

## Examples

**Request**

```json
{
  "shoppinglistId": "string",
  "itemId": "string",
  "qty": "string",
  "optionList": [
    {
      "option_id": "string",
      "option_value": "string"
    }
  ],
  "variantId": "string"
}
```

**Response**

```json
{
  "code": 200,
  "message": "SUCCESS",
  "data": {}
}
```

**SDK Code**

```python example-1
import requests

url = "https://api-b2b.bigcommerce.com/api/v2/shoppinglists/items"

payload = {
    "shoppinglistId": "string",
    "itemId": "string",
    "qty": "string",
    "optionList": [
        {
            "option_id": "string",
            "option_value": "string"
        }
    ],
    "variantId": "string"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript example-1
const url = 'https://api-b2b.bigcommerce.com/api/v2/shoppinglists/items';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"shoppinglistId":"string","itemId":"string","qty":"string","optionList":[{"option_id":"string","option_value":"string"}],"variantId":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go example-1
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v2/shoppinglists/items"

	payload := strings.NewReader("{\n  \"shoppinglistId\": \"string\",\n  \"itemId\": \"string\",\n  \"qty\": \"string\",\n  \"optionList\": [\n    {\n      \"option_id\": \"string\",\n      \"option_value\": \"string\"\n    }\n  ],\n  \"variantId\": \"string\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby example-1
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v2/shoppinglists/items")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"shoppinglistId\": \"string\",\n  \"itemId\": \"string\",\n  \"qty\": \"string\",\n  \"optionList\": [\n    {\n      \"option_id\": \"string\",\n      \"option_value\": \"string\"\n    }\n  ],\n  \"variantId\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java example-1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api-b2b.bigcommerce.com/api/v2/shoppinglists/items")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"shoppinglistId\": \"string\",\n  \"itemId\": \"string\",\n  \"qty\": \"string\",\n  \"optionList\": [\n    {\n      \"option_id\": \"string\",\n      \"option_value\": \"string\"\n    }\n  ],\n  \"variantId\": \"string\"\n}")
  .asString();
```

```php example-1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api-b2b.bigcommerce.com/api/v2/shoppinglists/items', [
  'body' => '{
  "shoppinglistId": "string",
  "itemId": "string",
  "qty": "string",
  "optionList": [
    {
      "option_id": "string",
      "option_value": "string"
    }
  ],
  "variantId": "string"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp example-1
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v2/shoppinglists/items");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"shoppinglistId\": \"string\",\n  \"itemId\": \"string\",\n  \"qty\": \"string\",\n  \"optionList\": [\n    {\n      \"option_id\": \"string\",\n      \"option_value\": \"string\"\n    }\n  ],\n  \"variantId\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift example-1
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "shoppinglistId": "string",
  "itemId": "string",
  "qty": "string",
  "optionList": [
    [
      "option_id": "string",
      "option_value": "string"
    ]
  ],
  "variantId": "string"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v2/shoppinglists/items")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```